import { database, FirebaseError } from 'firebase';
import { LoadingHook } from '../util';
export declare type ListHook = LoadingHook<database.DataSnapshot[], FirebaseError>;
export declare type ListKeysHook = LoadingHook<string[], FirebaseError>;
export declare type ListValsHook<T> = LoadingHook<T[], FirebaseError>;
export declare const useList: (query?: database.Query | null | undefined) => [void | database.DataSnapshot[], boolean, void | FirebaseError];
export declare const useListKeys: (query?: database.Query | null | undefined) => [void | string[], boolean, void | FirebaseError];
export declare const useListVals: <T>(query?: database.Query | null | undefined, options?: {
    keyField?: string | undefined;
} | undefined) => [void | T[], boolean, void | FirebaseError];
